Package: org.codehaus.groovy.control

## [Java] Class ASTTransformationsContext

- org.codehaus.groovy.control.ASTTransformationsContext

- Stores state information about global AST transformations applied to a compilation unit.

  Authors:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CompilationUnit` | `compilationUnit` |
    `protected Set<String>` | `globalTransformNames` |
    `protected GroovyClassLoader` | `transformLoader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTransformationsContext (CompilationUnit compilationUnit, GroovyClassLoader transformLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CompilationUnit` | `getCompilationUnit()`
    `` | `Set<String>` | `getGlobalTransformNames()`
    `` | `GroovyClassLoader` | `getTransformLoader()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final CompilationUnit compilationUnit

    - #### protected final Set<String> globalTransformNames

    - #### protected final GroovyClassLoader transformLoader

  - ### Constructor Detail

    - #### public ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)

  - ### Method Detail

    - #### public CompilationUnit getCompilationUnit()

    - #### public Set<String> getGlobalTransformNames()

    - #### public GroovyClassLoader getTransformLoader()